%define module	argparse

Summary:        A Python command line parser inspired by optparse
Name:           python-%{module}
Version:        1.4.0
Release:        %mkrel 1
License:        Python Software Foundation License
Group:          Development/Python
Url:            https://github.com/ThomasWaldmann/argparse/
Source0:        %{module}-%{version}.tar.xz

BuildRequires:	python3-devel
BuildRequires:  python3-setuptools
BuildArch:	    noarch

%description
The argparse module makes writing command line tools in Python easy.
Just briefly describe your command line interface and argparse will
take care of the rest, including:

* parsing the arguments and flags from ``sys.argv``
* converting arg strings into objects for your program
* formatting and printing any help messages
* and much more ... 

For those familiar with the optparse module from the Python standard
library, argparse improves on this module in a number of ways,
including:

* handling positional arguments
* supporting sub-commands
* allowing alternative option prefixes like ``+`` and ``/``
* handling zero-or-more and one-or-more style arguments
* producing more informative usage messages
* providing a much simpler interface for custom types and actions

%package -n     python3-%{module}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The argparse module makes writing command line tools in Python easy.
Just briefly describe your command line interface and argparse will
take care of the rest, including:

* parsing the arguments and flags from ``sys.argv``
* converting arg strings into objects for your program
* formatting and printing any help messages
* and much more ...

For those familiar with the optparse module from the Python standard
library, argparse improves on this module in a number of ways,
including:

* handling positional arguments
* supporting sub-commands
* allowing alternative option prefixes like ``+`` and ``/``
* handling zero-or-more and one-or-more style arguments
* producing more informative usage messages
* providing a much simpler interface for custom types and actions

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc README.txt LICENSE.txt doc/source/Python-License.txt doc/source/license.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{module}.*
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info



%changelog
* Sun Feb 27 2022 TerryN <terryn94 at gmail.com> 1.4.0-1pclos2022
- update and rebuild for python 3.10

* Sat Aug 10 2013 billybot <billybot> 1.2.1-2pclos2013
- update
